# Interface methods for submodule: ConstantPadImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import PadImageFilterProxy as _PadImageFilterProxy


# Interface methods for class: ConstantPadImageFilter
class ConstantPadImageFilterProxy(_PadImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@overload
	def SetConstant(self, constant) -> None:
		""""""
		...

	@overload
	def SetConstant(self, constant: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetConstant(self, constant: float) -> None:
		""""""
		...

	@overload
	def SetConstant(self, constant: Tuple[int, int, int, int]) -> None:
		""""""
		...

	@overload
	def SetConstant(self, constant: Tuple[int, int, int]) -> None:
		""""""
		...

	@overload
	def SetConstant(self, constant: int) -> None:
		""""""
		...

	@overload
	def GetConstant(self):
		""""""
		...

	@overload
	def GetConstant(self) -> Sequence[float]:
		""""""
		...

	@overload
	def GetConstant(self) -> float:
		""""""
		...

	@overload
	def GetConstant(self) -> Tuple[int, int, int, int]:
		""""""
		...

	@overload
	def GetConstant(self) -> Tuple[int, int, int]:
		""""""
		...

	@overload
	def GetConstant(self) -> int:
		""""""
		...

